//-----------------------------------------------------------------------------
// Structural
//-----------------------------------------------------------------------------

// Elements
body {
  background: var(--background-secondary) !important;
  color: var(--text);
  font-size: 0.8rem;
}

a {
  color: var(--link);
  text-decoration: none;
}

// Page Container
.q-page {
  width: 100%;
}

// Components
.main-content {
  width: 1024px;
  max-width: 100%;
  margin: auto;
}

//-----------------------------------------------------------------------------
// Typography
//-----------------------------------------------------------------------------

.q-page {
  font-size: 12px;
}

.q-page h1 {
  font-size: 1.8em;
}

h2 {
  font-size: 18px;
  line-height: 18px;
  font-weight: bold;
  text-transform: uppercase;
  margin-bottom: 0.5em;
  margin-top: 0.5em;
}

h3 {
  font-size: 14px;
  line-height: 14px;
  font-weight: bold;
  margin-bottom: 0.5em;
  margin-top: 3em;
}

ul, ol {
  padding-left: 1em;
}

//-----------------------------------------------------------------------------
// Custom
//-----------------------------------------------------------------------------

// Tyopgraphy
.text-muted {
  color: var(--text-muted);
}

.text-emphasis {
  color: var(--text-emphasis);
}

.text-underline {
  text-decoration: underline;
}

.text-break-words {
  word-break: break-all;
}

// Editor
.monaco-container {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  flex: 1;
}

.monaco-container > div {
  flex: 1;
}

.help-dialog {
  max-width: 1024px !important;
  width: 100% !important;
}

//-----------------------------------------------------------------------------
// Disable Unwanted Quasar Styles
//-----------------------------------------------------------------------------

.q-menu {
  box-shadow: none !important;
}

//-----------------------------------------------------------------------------
// Disable Unwanted Browser Stylesheets
//-----------------------------------------------------------------------------

// Disable number spinner on Chrome, Safari, Edge, Opera.
input[type='number']::-webkit-inner-spin-button,
input[type='number']::-webkit-outer-spin-button {
  -webkit-appearance: none;
  appearance: none;
}

// Disable number spinner on Firefox.
input[type='number'] {
  -moz-appearance: textfield;
}

// Some browsers (probably older Falkon versions?) add a weird orangle outline to focused items.
// This may fix that.
:focus {
  outline: none !important;
}

// Override date-picker icon colors on webkit browsers when in dark-mode.
// NOTE: This is a hack - we cannot technically change the color of this element, but we can apply an "invert color" filter on top of it.
.body--dark ::-webkit-calendar-picker-indicator {
  // filter: invert(1);
  opacity: 0;
}

// Slider uses an element offset that causes it to overflow the parent container easily
// Hide overflow on the scroll class to prevent scrollbars
.q-panel.scroll {
  overflow-x: hidden;
}
